import { CouponRule } from '../entities/coupon-rule.entity';

export const COUPON_RULE_REPOSITORY = Symbol('ICouponRuleRepository');

export interface ICouponRuleRepository {
  findByCouponId(couponId: string): Promise<CouponRule[]>;
  createMany(rules: Partial<CouponRule>[]): Promise<CouponRule[]>;
  create(data: Partial<CouponRule>): Promise<CouponRule>;
  save(rule: CouponRule): Promise<CouponRule>;
  deletesByCouponId(couponId: string): Promise<void>;
}
